# DO NOT DELETE: Beginning of Haskell dependencies
libraries/integer-gmp/dist-install/build/GHC/Integer/Type.o : libraries/integer-gmp/src/GHC/Integer/Type.hs
$(eval $(call hi-rule,libraries/integer-gmp/dist-install/build/GHC/Integer/Type.hi  : %hi: %o  libraries/integer-gmp/src/GHC/Integer/Type.hs))
libraries/integer-gmp/dist-install/build/GHC/Integer/Type.o : libraries/ghc-prim/dist-install/build/GHC/Types.hi
libraries/integer-gmp/dist-install/build/GHC/Integer/Type.o : libraries/ghc-prim/dist-install/build/GHC/Magic.hi
libraries/integer-gmp/dist-install/build/GHC/Integer/Type.o : libraries/ghc-prim/dist-install/build/GHC/Classes.hi
libraries/integer-gmp/dist-install/build/GHC/Integer/Logarithms.o : libraries/integer-gmp/src/GHC/Integer/Logarithms.hs
$(eval $(call hi-rule,libraries/integer-gmp/dist-install/build/GHC/Integer/Logarithms.hi  : %hi: %o  libraries/integer-gmp/src/GHC/Integer/Logarithms.hs))
libraries/integer-gmp/dist-install/build/GHC/Integer/Logarithms.o : libraries/integer-gmp/dist-install/build/GHC/Integer/Type.hi
libraries/integer-gmp/dist-install/build/GHC/Integer/Logarithms/Internals.o : libraries/integer-gmp/src/GHC/Integer/Logarithms/Internals.hs
$(eval $(call hi-rule,libraries/integer-gmp/dist-install/build/GHC/Integer/Logarithms/Internals.hi  : %hi: %o  libraries/integer-gmp/src/GHC/Integer/Logarithms/Internals.hs))
libraries/integer-gmp/dist-install/build/GHC/Integer/Logarithms/Internals.o : libraries/ghc-prim/dist-install/build/GHC/Types.hi
libraries/integer-gmp/dist-install/build/GHC/Integer/Logarithms/Internals.o : libraries/integer-gmp/dist-install/build/GHC/Integer/Logarithms.hi
libraries/integer-gmp/dist-install/build/GHC/Integer/Logarithms/Internals.o : libraries/integer-gmp/dist-install/build/GHC/Integer/Type.hi
libraries/integer-gmp/dist-install/build/GHC/Integer.o : libraries/integer-gmp/src/GHC/Integer.hs
$(eval $(call hi-rule,libraries/integer-gmp/dist-install/build/GHC/Integer.hi  : %hi: %o  libraries/integer-gmp/src/GHC/Integer.hs))
libraries/integer-gmp/dist-install/build/GHC/Integer.o : libraries/integer-gmp/dist-install/build/GHC/Integer/Type.hi
libraries/integer-gmp/dist-install/build/GHC/Integer/GMP/Internals.o : libraries/integer-gmp/src/GHC/Integer/GMP/Internals.hs
$(eval $(call hi-rule,libraries/integer-gmp/dist-install/build/GHC/Integer/GMP/Internals.hi  : %hi: %o  libraries/integer-gmp/src/GHC/Integer/GMP/Internals.hs))
libraries/integer-gmp/dist-install/build/GHC/Integer/GMP/Internals.o : libraries/ghc-prim/dist-install/build/GHC/Types.hi
libraries/integer-gmp/dist-install/build/GHC/Integer/GMP/Internals.o : libraries/integer-gmp/dist-install/build/GHC/Integer.hi
libraries/integer-gmp/dist-install/build/GHC/Integer/GMP/Internals.o : libraries/integer-gmp/dist-install/build/GHC/Integer/Type.hi
# DO NOT DELETE: End of Haskell dependencies
libraries/integer-gmp_dist-install_depfile_haskell_EXISTS = YES
